<% local form, viewlibrary, page_info, session = ... 
require("viewfunctions")
%>
<%
--[[ DEBUG INFORMATION
io.write("<H1>DEBUGGING</H1><span style='color:red'><H2>DEBUG INFO: CFE</H2>")
io.write(html.cfe_unpack(form))
io.write("</span>")
--]]
%>

<% displaycommandresults({"startstop"}, session) %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<H1>Config</H1>
<%
	form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action
	displayformstart(form)
%>
<H2>General Parameters</H2>
<dl>
<%
	displayformitem(form.value.interface, "interface")
	displayformitem(form.value.listen_address, "listen_address")
	displayformitem(form.value.domain, "domain")
%>
</dl>

<H2>DNS Parameters</H2>
<dl>
<%
	displayformitem(form.value.mx_host, "mx_host")
%>
</dl>

<H2>DHCP Parameters</H2>
<dl>
<%
	displayformitem(form.value.dhcp_range, "dhcp_range")
	displayformitem(form.value.no_dhcp_interface, "no_dhcp_interface")
	displayformitem(form.value.dhcp_host, "dhcp_host")
	displayformitem(form.value.dhcp_option, "dhcp_option")
%>
</dl>

<%
	displayformend(form)
%>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("startstop")
end %>
